package util.sqlparse.visitor.es.memo;

import bean.DataBase;
import com.chenyang.druid.sql.dialect.es.ast.EsParserContextBase;
import com.chenyang.druid.sql.dialect.es.ast.EsStatementType;
import com.chenyang.druid.stat.TableStat;
import java.util.ArrayList;
import java.util.List;

public class ApiResult {
   public TableStat.Mode apiType;
   public EsStatementType stmtType;
   private List<IndexMemo> schemas = new ArrayList();
   private List<MappingMemo> tables = new ArrayList();
   private List<FieldMemo> fields = new ArrayList();
   private EsParserContextBase statement;
   public DataBase database;

   public List<IndexMemo> getSchemas() {
      return this.schemas;
   }

   public void setSchemas(List<IndexMemo> schemas) {
      this.schemas = schemas;
   }

   public List<MappingMemo> getTables() {
      return this.tables;
   }

   public void setTables(List<MappingMemo> tables) {
      this.tables = tables;
   }

   public List<FieldMemo> getFields() {
      return this.fields;
   }

   public void setFields(List<FieldMemo> fields) {
      this.fields = fields;
   }

   public EsParserContextBase getStatement() {
      return this.statement;
   }

   public void setStatement(EsParserContextBase statement) {
      this.statement = statement;
   }
}
